Bug 1989417 - Enable back [sig-cli] oc adm storage-admin
Summary: Enable back [sig-cli] oc adm storage-admin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.9
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.9.0
Assignee: Maciej Szulik
QA Contact: zhou ying
URL:
Whiteboard: tag-ci
Depends On: 1996160
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-03 07:56 UTC by Maciej Szulik
Modified: 2021-10-18 17:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:43:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 26408 0 None None None 2021-08-26 12:59:58 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:44:03 UTC

Description Maciej Szulik 2021-08-03 07:56:16 UTC
To land k8s bump (https://github.com/openshift/kubernetes/pull/862) I've disabled:
- `[sig-cli] oc adm storage-adminexpand_less

in openshift/origin

Comment 1 Maciej Szulik 2021-08-18 11:36:36 UTC
This will be fixed when https://github.com/openshift/origin/pull/26366 lands

Comment 2 Maciej Szulik 2021-08-18 11:38:46 UTC
Ignore my previous comment, this was meant for a different bug.

Comment 3 Dan Winship 2021-08-31 15:07:32 UTC
Sorry, I screwed up the bug tracking on this and there ended up being no bug for "re-enable Endpoints permissions". But that's re-enabled now (https://github.com/openshift/kubernetes/pull/908), so this bug should be able to move forward.

Comment 4 Michal Fojtik 2021-09-01 11:06:29 UTC
https://github.com/openshift/origin/pull/26366 landed and https://github.com/openshift/kubernetes/pull/908 landed... do we need anything else here or we can move this to MODIFIED?

Comment 5 Maciej Szulik 2021-09-01 11:55:32 UTC
We still need to land https://github.com/openshift/origin/pull/26408 which brings the test back, just updating the PR and ensuring this works as expected.

Comment 13 errata-xmlrpc 2021-10-18 17:43:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.